### Function

# Gimp progress_set_text_printf

#### Declaration [src]

    gboolean
    gimp_progress_set_text_printf (
      const gchar* format,
      ...
    )

#### Description [src]

Changes the text in the progress bar for the current plug-in.

This function changes the text in the progress bar for the current plug-in. Unlike `gimp_progress_init()` it does not change the displayed value.

Available since: | 2.4
This function is not directly available to language bindings

#### Parameters

`format` | `const gchar*`
| A standard `printf()` format string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`...` | ``
| Arguments for `format`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success.